### Enumeration

# Gimp UnitID

#### Declaration

    enum Gimp.UnitID

#### Description [src]

Integer IDs of built-in units used for dimensions in images. These IDs are meant to stay stable but user-created units IDs may change from one session to another.

#### Members

`GIMP_UNIT_PIXEL`

  Pixels.

  - Value: `0`
  - Available since: 3.0
`GIMP_UNIT_INCH`

  Inches.

  - Value: `1`
  - Available since: 3.0
`GIMP_UNIT_MM`

  Millimeters.

  - Value: `2`
  - Available since: 3.0
`GIMP_UNIT_POINT`

  Points.

  - Value: `3`
  - Available since: 3.0
`GIMP_UNIT_PICA`

  Picas.

  - Value: `4`
  - Available since: 3.0
`GIMP_UNIT_END`

  Marker for end-of-builtin-units.

  - Value: `5`
  - Available since: 3.0
`GIMP_UNIT_PERCENT`

  Pseudo-unit percent.

  - Value: `65536`
  - Available since: 3.0